/* global cheshalo_settings */
(function($) {
	cheshaloThemeModule.ajaxFilters = function() {
		if (!cheshaloThemeModule.$body.hasClass('cheshalo-ajax-shop-on') || typeof ($.fn.pjax) === 'undefined' || cheshaloThemeModule.$body.hasClass('single-product') || cheshaloThemeModule.$body.hasClass('elementor-editor-active') || $('.products[data-source="main_loop"]').length === 0) {
			return;
		}

		var that         = this,
		    filtersState = false;

		cheshaloThemeModule.$body.on('click', '.post-type-archive-product .products-footer .woocommerce-pagination a', function() {
			scrollToTop(true);
		});

		cheshaloThemeModule.$document.pjax(cheshalo_settings.ajax_links, '.main-page-wrapper', {
			timeout       : cheshalo_settings.pjax_timeout,
			scrollTo      : false,
			renderCallback: function(context, html, afterRender) {
				cheshaloThemeModule.removeDuplicatedStylesFromHTML(html, function(html) {
					context.html(html);
					afterRender();
					cheshaloThemeModule.$document.trigger('wdShopPageInit');
					cheshaloThemeModule.$document.trigger('wood-images-loaded');
				});
			}
		});

		if (cheshalo_settings.price_filter_action === 'click') {
			cheshaloThemeModule.$document.on('click', '.widget_price_filter form .button', function() {
				var form = $('.widget_price_filter form');
				$.pjax({
					container: '.main-page-wrapper',
					timeout  : cheshalo_settings.pjax_timeout,
					url      : form.attr('action'),
					data     : form.serialize(),
					scrollTo : false,
					renderCallback: function(context, html, afterRender) {
						cheshaloThemeModule.removeDuplicatedStylesFromHTML(html, function(html) {
							context.html(html);
							afterRender();
							cheshaloThemeModule.$document.trigger('wdShopPageInit');
							cheshaloThemeModule.$document.trigger('wood-images-loaded');
						});
					}
				});

				return false;
			});
		} else if (cheshalo_settings.price_filter_action === 'submit') {
			cheshaloThemeModule.$document.on('submit', '.widget_price_filter form', function(event) {
				$.pjax.submit(event, '.main-page-wrapper');
			});
		}

		cheshaloThemeModule.$document.on('pjax:error', function(xhr, textStatus, error) {
			console.log('pjax error ' + error);
		});

		cheshaloThemeModule.$document.on('pjax:start', function() {
			var $siteContent = $('.site-content');

			$siteContent.removeClass('wd-loaded');
			$siteContent.addClass('wd-loading');

			cheshaloThemeModule.$document.trigger('wdPjaxStart');
			cheshaloThemeModule.$window.trigger('scroll.loaderVerticalPosition');
		});

		cheshaloThemeModule.$document.on('pjax:complete', function() {
			cheshaloThemeModule.$window.off('scroll.loaderVerticalPosition');

			scrollToTop(false);

			cheshaloThemeModule.$document.trigger('wood-images-loaded');

			$('.wd-scroll-content').on('scroll', function() {
				cheshaloThemeModule.$document.trigger('wood-images-loaded');
			});

			if (typeof cheshalo_wpml_js_data !== 'undefined' && cheshalo_wpml_js_data.languages) {
				$.each(cheshalo_wpml_js_data.languages, function(index, language) {
					$('.wpml-ls-item-' + language.code + ' .wpml-ls-link').attr('href', language.url);
				});
			}
		});

		cheshaloThemeModule.$document.on('pjax:beforeReplace', function() {
			if ($('.filters-area').hasClass('filters-opened') && cheshalo_settings.shop_filters_close === 'yes') {
				filtersState = true;
				cheshaloThemeModule.$body.addClass('body-filters-opened');
			}
		});

		cheshaloThemeModule.$document.on('wdShopPageInit', function() {
			var $siteContent = $('.site-content');

			if (filtersState) {
				$('.filters-area').css('display', 'block');
				cheshaloThemeModule.openFilters(200);
				filtersState = false;
			}

			$siteContent.removeClass('wd-loading');
			$siteContent.addClass('wd-loaded');
		});

		var scrollToTop = function(type) {
			if (cheshalo_settings.ajax_scroll === 'no' && type === false) {
				return false;
			}

			var $scrollTo = $(cheshalo_settings.ajax_scroll_class),
			    scrollTo  = $scrollTo.offset().top - cheshalo_settings.ajax_scroll_offset;

			$('html, body').stop().animate({
				scrollTop: scrollTo
			}, 400);
		};
	};

	$(document).ready(function() {
		cheshaloThemeModule.ajaxFilters();
	});

	window.addEventListener('popstate', function() {
		cheshaloThemeModule.ajaxFilters();
	});
})(jQuery);
