<?php
/**
 * Single Product Up-Sells
 *
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$position = cheshalo_get_opt( 'upsells_position' );

if ( $upsells && 'hide' !== cheshalo_get_opt( 'upsells_position' ) ) : ?>

	<?php if ( 'sidebar' === $position ) : ?>
		<?php cheshalo_enqueue_inline_style( 'widget-product-upsells' ); ?>
		<div class="upsells-widget widget sidebar-widget">
			<<?php echo esc_html( cheshalo_get_widget_title_tag() ); ?> class="widget-title"><?php echo esc_html__( 'You may also like&hellip;', 'woocommerce' ); ?></<?php echo esc_html( cheshalo_get_widget_title_tag() ); ?>>

			<?php cheshalo_products_widget_template( $upsells, true ); ?>
		</div>
	<?php else : ?>
		<?php
		$product_ids = array();

		foreach ( $upsells as $upsell_product ) {
			$product_ids[] = $upsell_product->get_id();
		}

		$products_atts = array(
			'element_title'                => esc_html__( 'You may also like&hellip;', 'woocommerce' ),
			'layout'                       => 'slider' === cheshalo_get_opt( 'related_product_view' ) ? 'carousel' : 'grid',
			'post_type'                    => 'ids',
			'include'                      => $product_ids,
			'slides_per_view'              => cheshalo_get_opt( 'related_product_columns', 4 ),
			'slides_per_view_tablet'       => cheshalo_get_opt( 'related_product_columns_tablet' ),
			'slides_per_view_mobile'       => cheshalo_get_opt( 'related_product_columns_mobile' ),
			'columns'                      => cheshalo_get_opt( 'related_product_columns', 4 ),
			'columns_tablet'               => cheshalo_get_opt( 'related_product_columns_tablet' ),
			'columns_mobile'               => cheshalo_get_opt( 'related_product_columns_mobile' ),
			'img_size'                     => 'woocommerce_thumbnail',
			'products_bordered_grid'       => cheshalo_get_opt( 'products_bordered_grid' ),
			'products_bordered_grid_style' => cheshalo_get_opt( 'products_bordered_grid_style' ),
			'products_with_background'     => cheshalo_get_opt( 'products_with_background' ),
			'products_shadow'              => cheshalo_get_opt( 'products_shadow' ),
			'products_color_scheme'        => cheshalo_get_opt( 'products_color_scheme' ),
			'custom_sizes'                 => apply_filters( 'cheshalo_product_related_custom_sizes', false ),
			'product_quantity'             => cheshalo_get_opt( 'product_quantity' ) ? 'enable' : 'disable',
			'spacing'                      => cheshalo_get_opt( 'products_spacing' ),
			'spacing_tablet'               => cheshalo_get_opt( 'products_spacing_tablet', '' ),
			'spacing_mobile'               => cheshalo_get_opt( 'products_spacing_mobile', '' ),
			'wrapper_classes'              => ' upsells-carousel',
		);

		if ( cheshalo_is_elementor_installed() ) {
			$products_atts['columns']         = array( 'size' => $products_atts['columns'] );
			$products_atts['slides_per_view'] = array( 'size' => $products_atts['slides_per_view'] );
			echo cheshalo_elementor_products_template( $products_atts ); //phpcs:ignore
		} else {
			$products_atts['include'] = implode( ',', $products_atts['include'] );
			echo cheshalo_shortcode_products( $products_atts ); //phpcs:ignore
		}
		?>
	<?php endif ?>

	<?php
endif;
